<?php

function SE_AP_print_player($album_post_id){
	
	$cover_img_src = SE_AP_get_album_cover($album_post_id);
	
	$album_post = get_post($album_post_id);
	
	$album_title = apply_filters('the_title', $album_post->the_title);
	
	$tracks = SE_AP_get_album_tracks($album_post_id);
	
	ob_start();
	?>
	<div class="se_albumplayer">
		
    	<img class="cover" src="<?php echo $cover_img_src; ?>" />
    	

		<div class="playlistWrap">
			<table class="playlist">
				<tbody class="tracks">
					<?php foreach($tracks as $track){ ?>
						<tr class="track" data-track_order="<?php echo $track['menu_order']; ?>" data-track_src="<?php echo $track['audio_file']; ?>">
							<td class="track_order slot2"><?php echo $track['menu_order']; ?></td>
							<td class="track_title"><?php echo $track['title']; ?></td>
						</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
    	
    	
    	<audio src="<?php echo $audio_file; ?>" preload="auto" id="album_review_audio-<?php echo $album_post_id; ?>">
   			<embed type="application/x-shockwave-flash" src="http://www.google.com/reader/ui/3523697345-audio-player.swf" quality="best" flashvars="audioUrl=<?php echo $audio_file; ?>" width="100%" height="27"></embed>
   		</audio>
		
		

    	<div class="controls" id="controls-<?php echo $album_post_id; ?>">
    		

    		
    		<table class="controlRack" width="100%">
    		
    			
    		
    			<tr>
    				<td class="slot2 playPause"><div class="playPauseBtn icon-play btn"></div></td>
    				
    				
    				<td class="bars">
    					<div class="progress progress-info">
		    				<div class="bar seekBar"></div>
		    				<div class="bar playBar"></div>
		    				<div class="bar loadBar"></div>
						</div>
    				</td>
    				
    				<td class="slot4 time"><div class="timeCode"></div></td>
    				
    				<td class="slot2 playlistBtn"><div class="playlistBtn icon-list btn"></div></td>

    				
    				<td class="slot1 volume">
    					<div class="volumeBtn icon-volume-up btn"></div>
    					<div class="progress vertical bottom volume">
    						<div class="bar volumeBar bar-warning"></div>
    					</div>
    				</td>
    				
    			</tr>
    			
    			
    			
    		</table>
    		
    		
    		    		
    		<table class="info">
    			<tr>
    				<td class="slot2 seekBtn"><div class="seekBtn icon-fast-backward btn"></div></td>
					<td class="info" ><span class="marquee trackInfo"><?php echo $album_title; ?></span></td>
					<td class="slot2 seekBtn"><div class="seekBtn icon-fast-forward btn"></div></td>
    			</tr>
    		</table>
	    	    	
    	</div>
 
    	
	</div>
	
	<?php
	$content = ob_get_clean();
	
	return $content;
}


/* ========================================== */
/* shortcode */
/* ========================================== */

function SE_AP_shortcode_func( $atts, $content="" ) {
	
	extract( shortcode_atts( array(
      'album_id' => '',
      // ...etc
      ), $atts ) );
	
	
    return SE_AP_print_player($album_id);
    //return $content;
     
}
add_shortcode( 'SE_album_player', 'SE_AP_shortcode_func' );


/* --------------------------------------------------------- */


/* ========================================== */
/* get album tracks */
/* ========================================== */

function SE_AP_get_album_tracks($album_id){
	
	$args = array(
		'post_type' => 'attachment',
		'post_mime_type' => 'audio/mpeg',
		'numberposts' => -1,
		'post_status' => null,
		'post_parent' => $album_id, // any parent
		'orderby' => 'menu_order',
		'order' => 'ASC'
	);
	
	$track_posts = get_posts($args);
	
	foreach($track_posts as $key => $track){
		
		$tracks[$key]['title'] = $track->post_title;
		$tracks[$key]['audio_file'] = $track->guid;
		$tracks[$key]['menu_order'] = $track->menu_order;
	
	}	
	
	return $tracks;
	
}


/* ========================================== */
/* get album cover */
/* ========================================== */

function SE_AP_get_album_cover($album_post_id){
	
	if(has_post_thumbnail($album_post_id)){
		$cover_img_id = get_post_thumbnail_id($album_post_id);
		$cover_img = wp_get_attachment_image_src($cover_img_id, 'large');
		$cover_img_src = $cover_img[0];
	
		return $cover_img_src;
	} else {
	
		return plugins_url( 'img/no_cover.jpg' , __FILE__ );
	
	}
	
	
}

?>